complexType "CreditOptionStrike"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | spread | price | strikeReference
</...>

Content Model Elements (3):

  price (in strike in creditDefaultSwapOption), spread (in strike in creditDefaultSwapOption), | strikeReference

All Direct / Indirect Based Elements (1):

  strike (in creditDefaultSwapOption)

Known Usage Locations

- As direct type of elements (1):
  strike (in creditDefaultSwapOption)

Annotation
A complex type to specify the strike of a credit swaption or a credit default swap option.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CreditOptionStrike"> <xsd:choice> <xsd:element name="spread" type="xsd:decimal"/> <xsd:element name="price" type="xsd:decimal"/> <xsd:element name="strikeReference" type="FixedRateReference"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
price

  Type: | xsd:decimal, predefined, simple content

  The strike of a credit default swap option or credit swaption when expressed as in reference to the price of the underlying obligation(s) or index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="price" type="xsd:decimal"/>

spread

  Type: | xsd:decimal, predefined, simple content

  The strike of a credit default swap option or credit swaption when expressed as a spread per annum.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="spread" type="xsd:decimal"/>

strikeReference

  Type: | FixedRateReference, empty content

  The strike of a credit default swap option or credit swaption when expressed in reference to the spread of the underlying swap (typical practice in the case of single name swaps).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strikeReference" type="FixedRateReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.